import request from '@/assets/js/utils/request'

// 获取投标服务费统计列表
export function getBidServiceFeeInfoList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/getBidServiceFeeInfoList',
    method: 'post',
    data
  })
}

// 获取投标服务费统计详情
export function getBidServiceFeeInfoDetail(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrderDetail/getBidServiceFeeInfoDetail?orderId=' + data.orderId,
    method: 'post',
    data
  })
}
// 老平台发票数据
export function getOldBidServiceFeeInvoiceList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/getOldBidServiceFeeInvoiceList',
    method: 'post',
    data
  })
}

// 导出投标服务费统计列表
export function exportBidServiceFeeInfoList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/exportBidServiceFeeInfoList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}

// 查询投标服务费统计
export function queryBiServiceStatistics(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/queryBiServiceStatistics',
    method: 'post',
    data
  })
}

// 获取投标服务费统计列表
export function getBidServiceFeeInvoiceList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/getBidServiceFeeInvoiceList',
    method: 'post',
    data
  })
}

// 导出投标服务费统计列表
export function exportBidServiceFeeInvoiceList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/exportBidServiceFeeInvoiceList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 导出运维数据
export function exportProjectList(data) {
  return request({
    url: '/bidprocurement/bidding-biddingProject/biddingProject/exportProjectList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}

// 查询投标服务费统计
export function queryBiServiceInvoiceStatistics(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/queryBiServiceInvoiceStatistics',
    method: 'post',
    data
  })
}

// 查询订单投标人开票信息
export function queryInvoiceForServiceOrder(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/queryInvoiceForServiceOrder',
    method: 'post',
    data
  })
}

// 保存订单投标人开票信息
export function saveInvoiceForServiceOrder(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/saveInvoiceForServiceOrder',
    method: 'post',
    data
  })
}

// 统计项目收费情况
export function getTenderFeeInfoList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/getTenderFeeInfoList',
    method: 'post',
    data
  })
}

// 导出项目收费情况
export function exportTenderFeeInfoList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/servicefee/supplierPayBidServiceOrder/exportTenderFeeInfoList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
